# lokalise_cmd

[![pub package](https://img.shields.io/pub/v/lokalise_cmd.svg)](https://pub.dev/packages/lokalise_cmd)
[![Build Status](https://travis-ci.org/meniga/lokalise_cmd.svg?branch=master)](https://travis-ci.org/meniga/lokalise_cmd)
[![codecov](https://codecov.io/gh/meniga/lokalise_cmd/branch/master/graph/badge.svg)](https://codecov.io/gh/meniga/lokalise_cmd)

A tool to download translation bundles from [Lokalise] and convert them 
to .arb files.

Currently, it supports following commands:

[download command](#download-command)

# Usage

Add configuration to `lokalise.yaml`:

```bash
lokalise_cmd:
  project_id: YOUR_LOKALISE_PROJECT_ID
  api_token: YOUR_LOKALISE_API_TOKEN
  include_tags:
    - tag1
    - tag2
    
flutter_intl:
  enabled: true
```

Run  `lokalise_cmd`:

```bash
flutter pub run lokalise_cmd \
  [--working-directory <path>] \
  [--api-token <token>] \
  [--project-id <project_id>] \
  <command>
```

You can also follow [how to set up a global command] to make it  
available as a regular shell command by appending `PATH`.

```bash
lokalise_cmd <command>>
```

or creating an alias instead:

```bash
alias lokalise_cmd="flutter pub run lokalise_cmd"

lokalise_cmd <command>>
```

### download command

Downloads .arb translation files.

```bash
lokalise_cmd download \
  [--output <path>] \
  [--include-tags <tag1,tag2,...>]
```

For example:

```bash
lokalise_cmd download
```

[Lokalise]:https://lokalise.com
[how to set up a global command]:https://dart.dev/tools/pub/cmd/pub-global

# Refer library
1. Thanks [flutter_lokalise](https://pub.dev/packages/flutter_lokalise)